## org.apache.lucene.index
Enum MergePolicy.MergeTrigger

    java.lang.Object
      java.lang.Enum<MergePolicy.MergeTrigger>
          org.apache.lucene.index.MergePolicy.MergeTrigger

All Implemented Interfaces:
  Serializable, Comparable<MergePolicy.MergeTrigger>

Enclosing class:
  MergePolicy

    public static enum MergePolicy.MergeTrigger

extends Enum<MergePolicy.MergeTrigger>

MergeTrigger is passed to `MergePolicy.findMerges(MergeTrigger, SegmentInfos)` to indicate the event that triggered the merge.

Enum Constant Summary
`EXPLICIT` Merge has been triggered explicitly by the user.
`FULL_FLUSH` Merge was triggered by a full flush.
`MERGE_FINISHED` Merge was triggered by a successfully finished merge.
`SEGMENT_FLUSH` Merge was triggered by a segment flush.

Method Summary
`static MergePolicy.MergeTrigger` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MergePolicy.MergeTrigger[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SEGMENT_FLUSH

    public static final MergePolicy.MergeTrigger SEGMENT_FLUSH

  Merge was triggered by a segment flush.

### FULL_FLUSH

    public static final MergePolicy.MergeTrigger FULL_FLUSH

  Merge was triggered by a full flush. Full flushes can be caused by a commit, NRT reader reopen or a close call on the index writer.

### EXPLICIT

    public static final MergePolicy.MergeTrigger EXPLICIT

  Merge has been triggered explicitly by the user.

### MERGE_FINISHED

    public static final MergePolicy.MergeTrigger MERGE_FINISHED

  Merge was triggered by a successfully finished merge.

Method Detail

### values

    public static MergePolicy.MergeTrigger[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MergePolicy.MergeTrigger c : MergePolicy.MergeTrigger.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MergePolicy.MergeTrigger valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.